import java.util.Scanner;
/**
 * Write a description of class Console here.
 *
 * @author (your name)
 * @version (a version number or a date)
 */



public class Console
{
    CurrencyConverter cc;
    
    public static void main(String[] args) {
        Console inOut = new Console();
        inOut.conversionLoop();
    }
    
    public Console() {
        cc = new CurrencyConverter();
    }
    
    public void conversionLoop() {
        while (true) {
            Currency startCurrency = checkCurrency(getInput("Current currency: ")); 
            Currency desiredCurrency = checkCurrency(getInput("Desired currency: ")); 
            double amount = getMoneyInput("Start amount: "); 
            
            System.out.println("Converted amount: " + cc.convertCurrency(startCurrency, desiredCurrency, amount)); 
            
            String convertAgain = getInput("Convert another amount? (y / n) "); 
            
            if (convertAgain.equals("n")) {
                break;
            }
        }
    }
    
    private String getInput(String message) {
        Scanner s = new Scanner(System.in);
        System.out.print(message); 
        return s.nextLine(); 
    }
    private double getMoneyInput(String message) {
        double money = 0;
        try {
            money = Double.parseDouble(getInput(message));
        }
        catch (NumberFormatException e) {
            money = getMoneyInput("Invalid Input. Please enter a number: "); 
        }
        return money;
    }
    private Currency checkCurrency(String inputCurrency) {
        inputCurrency = inputCurrency.toLowerCase();
        Currency c = Currency.usdollar;
        switch (inputCurrency) {
            case "us dollar" :
                c = Currency.usdollar;
                break;
            case "euro" :
                c = Currency.euro; 
                break;
            case "british pound" :
                c = Currency.bpound;
                break;
            case "indian rupee" :
                c = Currency.irupee;
                break;
            case "australian dollar" :
                c = Currency.aussiedollar;
                break;
            case "canadian dollar" :
                c = Currency.candollar;
                break;
            case "singapore dollar" :
                c = Currency.singdollar;
                break;
            case "swiss franc" :
                c = Currency.swissfranc;
                break;
            case "malaysian ringgit" :
                c = Currency.malringgit;
                break;
            case "japanese yen" :
                c = Currency.japyen;
                break;
            case "chinese yuan renminbi" :
                c = Currency.yuanrenminbi;
                break;
             default :
                String newInput = getInput("Invalid input. Please enter a supported currency: ");
                c = checkCurrency(newInput);
                break;
        }
        return c; 
    }
}
